<template>
    <main class="flex-1 overflow-x-hidden overflow-y-auto bg-gray-200">
        <div class="flex flex-col mt-8">
            <div class="-my-2 py-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
                <div
                    class="align-middle inline-block min-w-full shadow overflow-hidden sm:rounded-lg border-b border-gray-200">
                    <table class="min-w-full mt-12">
                        <thead>
                        <tr>
                            <th
                                class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">
                                Issues Title</th>
                            <th
                                class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">
                                Issues Price</th>
                            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
                        </tr>
                        </thead>

                        <tbody class="bg-white" v-for="issue in this.issues">
                        <tr>
                            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                                <div class="flex items-center">
                                    <div class="flex-shrink-0 h-10 w-10">
                                    </div>

                                    <div class="ml-4">
                                        <router-link to="/issues">
                                            <div class="text-sm leading-5 font-medium text-gray-900">{{ issue.title }}
                                            </div>
                                        </router-link>
                                        <div class="text-sm leading-5 text-gray-500">Худалдан авах боломжтой</div>
                                    </div>
                                </div>
                            </td>

                            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                                                <span
                                                    class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">Үнэ: {{ issue.price }}</span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </main>
</template>
<script>
import axios from "axios";
export default {
    data(){
        return{
            issues: null,
        }
    },
    name: "Information",
    created() {
        this.load();
    },
    methods:{
        load(){
            axios.get( `http://localhost:8000/api/magazine/${this.$route.params.id}`).then(response =>
            {
                this.issues=response.data.data;
            });
        }
    }
}
</script>
